gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.RadioButtonAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype RadioButtonAccessible = RadioButtonAccessible (ManagedPtr RadioButtonAccessible)
- class (GObject o, IsDescendantOf RadioButtonAccessible o) => IsRadioButtonAccessible o
- toRadioButtonAccessible :: (MonadIO m, IsRadioButtonAccessible o) => o -> m RadioButtonAccessible

# Exported types

newtype RadioButtonAccessible Source #

Memory-managed wrapper type.

Constructors

RadioButtonAccessible (ManagedPtr RadioButtonAccessible) |

#### Instances

Instances details

Eq RadioButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RadioButtonAccessible Methods (==) :: RadioButtonAccessible -> RadioButtonAccessible -> Bool Source # (/=) :: RadioButtonAccessible -> RadioButtonAccessible -> Bool Source #
GObject RadioButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RadioButtonAccessible
ManagedPtrNewtype RadioButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RadioButtonAccessible Methods toManagedPtr :: RadioButtonAccessible -> ManagedPtr RadioButtonAccessible Source #
TypedObject RadioButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RadioButtonAccessible Methods glibType :: IO GType Source #
HasParentTypes RadioButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RadioButtonAccessible
IsGValue (Maybe RadioButtonAccessible) Source # | Convert `RadioButtonAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.RadioButtonAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe RadioButtonAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe RadioButtonAccessible) Source #
type ParentTypes RadioButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RadioButtonAccessible type ParentTypes RadioButtonAccessible = '[ToggleButtonAccessible, ButtonAccessible, ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Action, Component, Image]

class (GObject o, IsDescendantOf RadioButtonAccessible o) => IsRadioButtonAccessible o Source #

Type class for types which can be safely cast to `RadioButtonAccessible`, for instance with `toRadioButtonAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf RadioButtonAccessible o) => IsRadioButtonAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.RadioButtonAccessible

toRadioButtonAccessible :: (MonadIO m, IsRadioButtonAccessible o) => o -> m RadioButtonAccessible Source #

Cast to `RadioButtonAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getImageDescription, getImageLocale, getImagePosition, getImageSize, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMdiZorder, getNAccessibleChildren, getNActions, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setImageDescription, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.